# DO NOT INCLUDE DIRECTLY!
spec:
  inputs:
    vault:
---
.renovate_bot_auth_config:
  id_tokens:
    VAULT_ID_TOKEN:
      aud: https://vault.gitlab.net
  variables:
    RENOVATE_BOT_AUTH_SOURCE: "Vault"
  secrets:
    RENOVATE_GITLAB_TOKEN:
      file: false
      vault: $[[ inputs.vault ]]
      token: $VAULT_ID_TOKEN
    RENOVATE_GITHUB_TOKEN:
      file: false
      vault: "renovate/github/token@shared"
      token: $VAULT_ID_TOKEN
